Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fonts
Class CodePointMapping

    java.lang.Object
      org.apache.fop.fonts.AbstractCodePointMapping
          org.apache.fop.fonts.CodePointMapping

All Implemented Interfaces:
  SingleByteEncoding

    public class CodePointMapping

extends AbstractCodePointMapping

Field Summary
`static java.lang.String` | `CE_ENCODING`
`static java.lang.String` | `ISOLATIN1_ENCODING`
`static java.lang.String` | `MAC_ROMAN_ENCODING`
`static java.lang.String` | `PDF_DOC_ENCODING`
`static java.lang.String` | `STANDARD_ENCODING`
`static java.lang.String` | `SYMBOL_ENCODING`
`static java.lang.String` | `WIN_ANSI_ENCODING`
`static java.lang.String` | `ZAPF_DINGBATS_ENCODING`

Fields inherited from interface org.apache.fop.fonts.SingleByteEncoding
`NOT_FOUND_CODE_POINT`

Constructor Summary
`CodePointMapping(java.lang.String name, int[] table)`
`CodePointMapping(java.lang.String name, int[] table, java.lang.String[] charNameMap)`

Method Summary
`static CodePointMapping` | `getMapping(java.lang.String encoding)`

Methods inherited from class org.apache.fop.fonts.AbstractCodePointMapping
`buildFromTable, getCharNameMap, getCodePointForGlyph, getName, getNameFromCodePoint, getUnicodeCharMap, getUnicodeForIndex, mapChar, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### STANDARD_ENCODING

    public static final java.lang.String STANDARD_ENCODING

See Also:
  Constant Field Values

### ISOLATIN1_ENCODING

    public static final java.lang.String ISOLATIN1_ENCODING

See Also:
  Constant Field Values

### CE_ENCODING

    public static final java.lang.String CE_ENCODING

See Also:
  Constant Field Values

### MAC_ROMAN_ENCODING

    public static final java.lang.String MAC_ROMAN_ENCODING

See Also:
  Constant Field Values

### WIN_ANSI_ENCODING

    public static final java.lang.String WIN_ANSI_ENCODING

See Also:
  Constant Field Values

### PDF_DOC_ENCODING

    public static final java.lang.String PDF_DOC_ENCODING

See Also:
  Constant Field Values

### SYMBOL_ENCODING

    public static final java.lang.String SYMBOL_ENCODING

See Also:
  Constant Field Values

### ZAPF_DINGBATS_ENCODING

    public static final java.lang.String ZAPF_DINGBATS_ENCODING

See Also:
  Constant Field Values

Constructor Detail

### CodePointMapping

    public CodePointMapping(java.lang.String name,
                            int[] table)

### CodePointMapping

    public CodePointMapping(java.lang.String name,
                            int[] table,
                            java.lang.String[] charNameMap)

Method Detail

### getMapping

    public static CodePointMapping getMapping(java.lang.String encoding)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.